org.eclnt.jsfserver.defaultscreens

## Class AsynchMessageBus

- java.lang.Object
- - org.eclnt.jsfserver.defaultscreens.AsynchMessageBus

- All Implemented Interfaces:
    java.io.Serializable

      public class AsynchMessageBus
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AsynchMessageBus()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `addMessage(java.lang.String message)`
    `static void` | `addMessage(java.lang.String message, boolean withFrameDelegation)`
    `static void` | `clearMessages()`
    `static java.util.List<java.lang.String>` | `getMessages()`
    `java.util.List<java.lang.String>` | `getMyMessages()`
    `java.util.List<java.lang.Boolean>` | `getMyWithFrameDelegations()`
    `static java.util.List<java.lang.Boolean>` | `getWithFrameDelegations()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AsynchMessageBus

          public AsynchMessageBus()

  - ### Method Detail

    - #### addMessage

          public static void addMessage(java.lang.String message)

    - #### addMessage

          public static void addMessage(java.lang.String message,
                                        boolean withFrameDelegation)

    - #### getMessages

          public static java.util.List<java.lang.String> getMessages()

    - #### getWithFrameDelegations

          public static java.util.List<java.lang.Boolean> getWithFrameDelegations()

    - #### clearMessages

          public static void clearMessages()

    - #### getMyMessages

          public java.util.List<java.lang.String> getMyMessages()

    - #### getMyWithFrameDelegations

          public java.util.List<java.lang.Boolean> getMyWithFrameDelegations()

Copyright © CaptainCasa Gmbh. All Rights Reserved.